For the complete documentation index, see llms.txt. This page is also available as Markdown.

Submit Batched Transactions

POST /api/v2/submit-batch

Description

Submits an atomic bundle of 2-4 signed transactions to NextBlock.

Request

  • URL: /api/v2/submit-batch

  • Method: POST

  • Headers:

    • Content-Type: application/json

    • Authorization: <token>

Request Body

{
    "entries": [
        {
            "transaction": {
                "content": "ASrTNkPOTud8TsxOKcumvY7supstxpU204Md03mm7XPZw2Y/zm0wvINTRxEcsI1HmPOYFJ/IDz6OCq7fSqM/LQUBAAEDgIwXPqhLVB/6ZadyORj58IB7OZZgqVvqNrNxdQF2AuILlm3gHQjNYA7I5Y9y2P3umSGL05F3f0ycmaLEwKYbVwAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAy7mAVCwl2qlxV1malhPHTmIf/Ndy3WDQQb3uvo/2TlYBAgIAAQwCAAAAQUIPAAAAAAA="
            }
        },
        {
            "transaction": {
                "content": "AVFRplUyysWi0v21B6NVE9t5hMEdDIh1QZNBONweQ/zFgf40D75lazBWAjVyqVI2hNdYpXDJzfP7tMfHav5w2AYBAAEDgIwXPqhLVB/6ZadyORj58IB7OZZgqVvqNrNxdQF2AuILlm3gHQjNYA7I5Y9y2P3umSGL05F3f0ycmaLEwKYbVwAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAy7mAVCwl2qlxV1malhPHTmIf/Ndy3WDQQb3uvo/2TlYBAgIAAQwCAAAAQkIPAAAAAAA="
            }
        }
    ]
}

Response

Success (200 OK)

Error (400 Bad Request)

Notes

  • Each entries[].transaction.content value must contain a base64-encoded signed transaction.

  • Bundles must contain between 2 and 4 transactions.

  • This endpoint is available on the HTTP and gRPC paths.

  • QUIC does not support atomic bundle submission. QUIC sends one raw signed transaction per stream.

Last updated